from setuptools import find_namespace_packages, setup, find_packages

with open("README.md", "r") as fh:
    long_description = fh.read()

setup(
    name="Qantio.Sdk.Client",
    version="0.1.2",
    package_dir = {'': 'src/qantio/sdk'},
    packages = find_namespace_packages(where='src/qantio/sdk'),
    description="Interact with qant.io time series prediction services.",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://qant.io",
    author="qant.io",
    author_email="support@qant.io",
    license="MIT",
    classifiers=[
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.7"],
    include_package_data=True,
    install_requires=[
        'aiohttp'
        ,'azure-storage-blob'
        ,'boto3'
        ,'colorlog'
        ,'joblib'
        ,'msal'
        ,'opencensus'
        ,'opencensus_ext_logging'
        ,'pandas'
        ,'pandas_profiling'
        ,'pyodbc'
        ,'pyparsing'
        ,'requests'
        ,'requests_toolbelt'
        ,'setuptools'
        ,'unicode_slugify'
        ,'urllib3'                
        ]
)